import { jsx } from "react/jsx-runtime";
import { TokenSUI as TokenSUI$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenSUI = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "SUI", "data-name": "TokenSUI", ...props, children: /* @__PURE__ */ jsx(TokenSUI$1, { variant }) });
  }
);
TokenSUI.displayName = "TokenSUI";
Object.assign(TokenSUI, { isGdsIcon: true });
export {
  TokenSUI
};
